Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.charts
Class LOCChartMaker

    java.lang.Object
      net.sf.statcvs.charts.LOCChartMaker

Direct Known Subclasses:
  LOCChartMaker.AllDevelopersLOCChartMaker, LOCChartMaker.AllDirectoriesLOCChartMaker, LOCChartMaker.AllModulesLOCChartMaker, LOCChartMaker.DirectoryLOCChartMaker, LOCChartMaker.MainLOCChartMaker

public class LOCChartMaker
extends Object

Produces Lines Of Code charts TODO: At least the single-series charts should be done by TimeLineChartMakers

Version:
  $Id: LOCChartMaker.java,v 1.19 2009/08/31 19:16:35 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

Nested Class Summary
`static class` | `LOCChartMaker.AllDevelopersLOCChartMaker`
`static class` | `LOCChartMaker.AllDirectoriesLOCChartMaker`
`static class` | `LOCChartMaker.AllModulesLOCChartMaker`
`static class` | `LOCChartMaker.DirectoryLOCChartMaker`
`static class` | `LOCChartMaker.MainLOCChartMaker`

Constructor Summary
`LOCChartMaker(String chartName, ReportConfig config, List locSeriesList, String title, String fileName, Dimension size, List annotations)` Creates a Lines Of Code chart from a list of `BasicTimesSeries` and saves it as PNG
`LOCChartMaker(String chartName, ReportConfig config, TimeSeries locSeries, String title, String fileName, Dimension size, List annotations)` Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

Method Summary
`ChartImage` | `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LOCChartMaker

    public LOCChartMaker(String chartName,
                         ReportConfig config,
                         TimeSeries locSeries,
                         String title,
                         String fileName,
                         Dimension size,
                         List annotations)

  Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

Parameters:
  `locSeries` - the LOC history
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `size` - width and height of PNG in pixels
  `annotations` -

### LOCChartMaker

    public LOCChartMaker(String chartName,
                         ReportConfig config,
                         List locSeriesList,
                         String title,
                         String fileName,
                         Dimension size,
                         List annotations)

  Creates a Lines Of Code chart from a list of `BasicTimesSeries` and saves it as PNG

Parameters:
  `locSeriesList` - a list of `BasicTimesSeries`
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `size` - width and height of PNG in pixels

Method Detail

### toFile

    public ChartImage toFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD